Index: src/sas/perspectives/fitting/batchfitpage.py
===================================================================
--- src/sas/perspectives/fitting/batchfitpage.py	(revision 373d4eebe3a548f70f917fec87bdb5280e67d1e0)
+++ src/sas/perspectives/fitting/batchfitpage.py	(revision 6f16e25ca8391464dfcea6ba0d48d6b3702d148e)
@@ -38,5 +38,5 @@
         fill sizer 0 with data info
         """
-        self.data_box_description = wx.StaticBox(self, -1, 'I(q) Data Source')
+        self.data_box_description = wx.StaticBox(self, wx.ID_ANY, 'I(q) Data Source')
         if check_data_validity(self.data):
             dname_color = wx.BLUE
@@ -47,17 +47,17 @@
         #----------------------------------------------------------
         sizer_data = wx.BoxSizer(wx.VERTICAL)
-        text1 = wx.StaticText(self, -1, ' - Choose a file to set initial fit parameters -')
+        text1 = wx.StaticText(self, wx.ID_ANY, ' - Choose a file to set initial fit parameters -')
         text1.SetForegroundColour(wx.RED)
         sizer_data.Add(text1)
-        text2 = wx.StaticText(self, -1, ' - This panel is not designed to view individual fits. - ')
+        text2 = wx.StaticText(self, wx.ID_ANY, ' - This panel is not designed to view individual fits. - ')
         text2.SetForegroundColour(wx.RED)
         sizer_data.Add(text2)
 
         combo = wx.BoxSizer(wx.HORIZONTAL)
-        self.dataSource = wx.ComboBox(self, -1, style=wx.CB_READONLY)
-        wx.EVT_COMBOBOX(self.dataSource, -1, self.on_select_data)
+        self.dataSource = wx.ComboBox(self, wx.ID_ANY, style=wx.CB_READONLY)
+        wx.EVT_COMBOBOX(self.dataSource, wx.ID_ANY, self.on_select_data)
         self.dataSource.SetMinSize((_DATA_BOX_WIDTH, -1))
 
-        combo.Add(wx.StaticText(self, -1, 'Name : '))
+        combo.Add(wx.StaticText(self, wx.ID_ANY, 'Name : '))
         combo.Add((0, 5))
         combo.Add(self.dataSource)
@@ -86,5 +86,5 @@
 #         
 #         #Sizers
-#         box_description_range = wx.StaticBox(self, -1, str(title))
+#         box_description_range = wx.StaticBox(self, wx.ID_ANY, str(title))
 #         boxsizer_range = wx.StaticBoxSizer(box_description_range, wx.VERTICAL)      
 #         self.sizer_set_smearer = wx.BoxSizer(wx.VERTICAL)
@@ -96,5 +96,5 @@
 #         sizer_fit = wx.GridSizer(2, 4, 2, 6)
 #         #Fit button
-#         self.btFit = wx.Button(self, wx.NewId(), 'Fit', size=(88, 25))
+#         self.btFit = wx.Button(self, self._ids.next(), 'Fit', size=(88, 25))
 #         self.default_bt_colour =  self.btFit.GetDefaultAttributes()
 #         self.btFit.Bind(wx.EVT_BUTTON, self._onFit, id= self.btFit.GetId())
@@ -102,5 +102,5 @@
 # 
 #         # Update and Draw button
-#         self.draw_button = wx.Button(self, wx.NewId(), 'Compute', size=(88, 24))
+#         self.draw_button = wx.Button(self, self._ids.next(), 'Compute', size=(88, 24))
 #         self.draw_button.Bind(wx.EVT_BUTTON, \
 #                               self._onDraw,id=self.draw_button.GetId())
@@ -122,5 +122,5 @@
 #         self.sizer5.Clear(True)
 #      
-#         self.qmin  = ModelTextCtrl(self, -1, size=(_BOX_WIDTH, 20),
+#         self.qmin  = ModelTextCtrl(self, wx.ID_ANY, size=(_BOX_WIDTH, 20),
 #                                           style=wx.TE_PROCESS_ENTER, 
 #                                     text_enter_callback = self._onQrangeEnter)
@@ -128,5 +128,5 @@
 #         self.qmin.SetToolTipString("Minimun value of Q in linear scale.")
 #      
-#         self.qmax  = ModelTextCtrl(self, -1, size=(_BOX_WIDTH, 20),
+#         self.qmax  = ModelTextCtrl(self, wx.ID_ANY, size=(_BOX_WIDTH, 20),
 #                                           style=wx.TE_PROCESS_ENTER, 
 #                                         text_enter_callback=self._onQrangeEnter)
@@ -134,5 +134,5 @@
 #         self.qmax.SetToolTipString("Maximum value of Q in linear scale.")
 #         
-#         id = wx.NewId()
+#         id = self._ids.next()
 #         self.reset_qrange =wx.Button(self, id, 'Reset', size=(77, 20))
 #       
@@ -144,13 +144,13 @@
 #         sizer = wx.GridSizer(2, 4, 2, 6)
 # 
-#         self.btEditMask = wx.Button(self, wx.NewId(),'Editor', size=(88, 23))
+#         self.btEditMask = wx.Button(self, self._ids.next(),'Editor', size=(88, 23))
 #         self.btEditMask.Bind(wx.EVT_BUTTON, 
 #                              self._onMask,id=self.btEditMask.GetId())
 #         self.btEditMask.SetToolTipString("Edit Mask.")
-#         self.EditMask_title = wx.StaticText(self, -1, ' Masking(2D)')
-# 
-#         sizer.Add(wx.StaticText(self, -1, 'Q range'))     
-#         sizer.Add(wx.StaticText(self, -1, ' Min[1/A]'))
-#         sizer.Add(wx.StaticText(self, -1, ' Max[1/A]'))
+#         self.EditMask_title = wx.StaticText(self, wx.ID_ANY, ' Masking(2D)')
+# 
+#         sizer.Add(wx.StaticText(self, wx.ID_ANY, 'Q range'))
+#         sizer.Add(wx.StaticText(self, wx.ID_ANY, ' Min[1/A]'))
+#         sizer.Add(wx.StaticText(self, wx.ID_ANY, ' Max[1/A]'))
 #         sizer.Add(self.EditMask_title)
 #  
